import {createSearchResults} from "./SearchResultsComponent";

export default {
  title: 'Components/Search Results',
  args: {
    type: 'no-border',
  },
  argTypes: {
    type: {
      name: 'Ergebnis Typ',
      control: 'select',
      options: ['no-border', 'downloads', 'events'],
      defaultValue: 'no-border',
    },
  },
  decorators: [
    (Story) => `<div class="search-results">${Story().outerHTML || Story()}</div>`,
  ],
}
const Template = ({...args}) => {
  return createSearchResults({...args});
}

export const SimpleSearchResults = Template.bind({});
SimpleSearchResults.args = {
  type: 'no-border',
};

export const DownloadSearchResults = Template.bind({});
DownloadSearchResults.args = {
  type: 'downloads',
};

export const EventSearchResults = Template.bind({});
EventSearchResults.args = {
  type: 'events',
};

export const EventSearchResultsExtended = Template.bind({});
EventSearchResultsExtended.args = {
  type: 'events-extended',
};